// pub(crate) mod lowlevel;
// mod nodes;

// pub use nodes::Node;
// pub use nodes::Nodes;

pub mod channel_tags {
    pub struct SendPacketTag {}
    pub struct ReceivePacketTag {}
    pub struct MinorTickTag {}
    pub struct MajorTickTag {}
}

#[derive(PartialEq, PartialOrd)]
pub enum SendOrder {
    Route,
    Sign,
    Encrypt,
    Send,
}
// pub type SendPacketChannel = (channel_tags::SendPacketTag, crate::io::Packet, SendOrder);

#[derive(PartialEq, PartialOrd)]
pub enum ReceiveOrder {
    Decryption,
    Verify,
    Parse,
    Dispatch,
}
// pub type ReceivePacketChannel = (channel_tags::ReceivePacketTag, crate::io::Packet, ReceiveOrder);

/// Minor ticks (roughly once per second): for retries, status updates, etc.
pub type MinorTickChannel = (channel_tags::MinorTickTag, ());
/// Major ticks (several times per minute): for retries, cleanup tasks, periodic queries, etc
pub type MajorTickChannel = (channel_tags::MajorTickTag, ());
